alter table if exists activity drop constraint if exists FK6oh9xxdf6bbq5xrbub7a2iebg;
alter table if exists activity drop constraint if exists FKh2g4avehpcr1wpaw1wl3if72r;
alter table if exists activity_artifact drop constraint if exists FKm6lgm7vk4gx2bq2t682f5au7m;
alter table if exists activity_artifact drop constraint if exists FKr2t1bft22426ydaisg7qos1sx;
alter table if exists adherenceevaluation_evaluationreport drop constraint if exists FKfbfvhfethrdkxtnxk9egpgapj;
alter table if exists adherenceevaluation_evaluationreport drop constraint if exists FK6808tosex7wyu0d6bmiae4efo;
alter table if exists artifact drop constraint if exists FKq3o6g6t4j9b6ltk5xgrh3ns2s;
alter table if exists artifact drop constraint if exists FKpundrhi5mqifgqwtrmtqjhl3x;
alter table if exists artifact drop constraint if exists FKrtak65pte9q7ceqp2xv24xp9t;
alter table if exists artifact drop constraint if exists FK691d68gcu49expt7nefevd8iq;
alter table if exists artifact drop constraint if exists FKa5r2528ffoi5hhpdwc937sykd;
alter table if exists artifact drop constraint if exists FK7ms79k8a0hn8hjipcf0pqfwcj;
alter table if exists evaluateditem_qualityassurancecriterion drop constraint if exists FK6svkpw3wpyp09bt3ktbpd3975;
alter table if exists evaluateditem_qualityassurancecriterion drop constraint if exists FK39jbd85rkpl0yepjchk2413en;
alter table if exists generalprojectprocess drop constraint if exists FKr7kvuji078e9l1fo7ty4iu70p;
alter table if exists generalprojectprocess drop constraint if exists FK1ltamn8bjxdhknf5vwf7rqtch;
alter table if exists noncomplianceidentification_noncomplianceregister drop constraint if exists FKfmnd3wxcd7mkysbryupynnbcm;
alter table if exists noncomplianceidentification_noncomplianceregister drop constraint if exists FKs9c9cr6x9mhe6vlo19wquyiy9;
alter table if exists project drop constraint if exists FK56l08pkdkr9onlugrsj27t6a3;
alter table if exists project drop constraint if exists FK8bibak77woh8739ssogpu62x4;
alter table if exists projectstakeholder_softwareproject drop constraint if exists FKqmhcno175t96hnr41q1mew2lm;
alter table if exists projectstakeholder_softwareproject drop constraint if exists FKlnoty0i3693rdxqxluqkmhpf5;
alter table if exists qualityassuranceplan_qualityassurancecriterion drop constraint if exists FK6xg3caofjbblehxuddyfyk5t5;
alter table if exists qualityassuranceplan_qualityassurancecriterion drop constraint if exists FKgr6y7pcdv8cbysreyrxry2vs4;
alter table if exists specificprojectprocess drop constraint if exists FK3el8abvfdvq1eyxxpkalq6n8f;
alter table if exists specificprojectprocess drop constraint if exists FKh6g172vxkglmvshcaptnh538n;
alter table if exists team drop constraint if exists FKt2rwhhxcjdmje0gqqybiyjdpn;
alter table if exists team drop constraint if exists FKp6ovpc4soflfcjbafch33w2ky;
alter table if exists team drop constraint if exists FK2br1drpqmglvo69ygcy2ex0qm;
alter table if exists teammembership drop constraint if exists FK32hd3ylrcn09jp4eorylbk0i0;
alter table if exists teammembership drop constraint if exists FK7twk5vq5jggy5821vfsop01ka;
alter table if exists teammembership drop constraint if exists FK143nbxei8pea2oxm87slwgsut;
drop table if exists activity cascade;
drop table if exists activity_artifact cascade;
drop table if exists adherenceevaluation_evaluationreport cascade;
drop table if exists artifact cascade;
drop table if exists evaluateditem_qualityassurancecriterion cascade;
drop table if exists generalprojectprocess cascade;
drop table if exists noncomplianceidentification_noncomplianceregister cascade;
drop table if exists organization cascade;
drop table if exists organizationalrole cascade;
drop table if exists person cascade;
drop table if exists project cascade;
drop table if exists projectstakeholder cascade;
drop table if exists projectstakeholder_softwareproject cascade;
drop table if exists qualityassuranceplan_qualityassurancecriterion cascade;
drop table if exists requirement cascade;
drop table if exists specificprojectprocess cascade;
drop table if exists team cascade;
drop table if exists teammembership cascade;
drop sequence if exists requirement_seq;
create sequence requirement_seq start with 1 increment by 50;
create table activity (dtype varchar(31) not null, id bigserial not null, created_at timestamp(6), description varchar(255), end_date date, external_id varchar(255), internal_id varchar(255), name varchar(255), start_date date, statetype varchar(255), successtype varchar(255), activity_id bigint, specificprojectprocess_id bigint, primary key (id));
create table activity_artifact (activity_id bigint not null, artifact_id bigint not null, primary key (activity_id, artifact_id));
create table adherenceevaluation_evaluationreport (adherenceevaluation_id bigint not null, evaluationreport_id bigint not null, primary key (adherenceevaluation_id, evaluationreport_id));
create table artifact (dtype varchar(31) not null, id bigserial not null, created_at timestamp(6), description varchar(255), end_date date, external_id varchar(255), internal_id varchar(255), name varchar(255), start_date date, artifacttype varchar(255), artifact_id bigint, evaluatedartifact_id bigint, evaluationreport_id bigint, qualityassuranceplanning_id bigint, requirement_id bigint, requirementdocument_id bigint, primary key (id));
create table evaluateditem_qualityassurancecriterion (evaluateditem_id bigint not null, qualityassurancecriterion_id bigint not null, primary key (evaluateditem_id, qualityassurancecriterion_id));
create table generalprojectprocess (id bigserial not null, created_at timestamp(6), description varchar(255), end_date date, external_id varchar(255), internal_id varchar(255), name varchar(255), start_date date, statetype varchar(255), successtype varchar(255), generalprojectprocess_id bigint, softwareproject_id bigint, primary key (id));
create table noncomplianceidentification_noncomplianceregister (noncomplianceidentification_id bigint not null, noncomplianceregister_id bigint not null, primary key (noncomplianceidentification_id, noncomplianceregister_id));
create table organization (id bigserial not null, created_at timestamp(6), description varchar(255), external_id varchar(255), internal_id varchar(255), name varchar(255), primary key (id));
create table organizationalrole (id bigserial not null, created_at timestamp(6), description varchar(255), external_id varchar(255), internal_id varchar(255), name varchar(255), primary key (id));
create table person (id bigserial not null, created_at timestamp(6), description varchar(255), end_date date, external_id varchar(255), internal_id varchar(255), name varchar(255), start_date date, email varchar(255), primary key (id));
create table project (dtype varchar(31) not null, id bigserial not null, created_at timestamp(6), description varchar(255), end_date date, external_id varchar(255), internal_id varchar(255), name varchar(255), start_date date, organization_id bigint, project_id bigint, primary key (id));
create table projectstakeholder (dtype varchar(31) not null, id bigserial not null, created_at timestamp(6), primary key (id));
create table projectstakeholder_softwareproject (projectstakeholder_id bigint not null, softwareproject_id bigint not null, primary key (projectstakeholder_id, softwareproject_id));
create table qualityassuranceplan_qualityassurancecriterion (qualityassuranceplan_id bigint not null, qualityassurancecriterion_id bigint not null, primary key (qualityassuranceplan_id, qualityassurancecriterion_id));
create table requirement (dtype varchar(31) not null, id bigint not null, created_at timestamp(6), description varchar(255), external_id varchar(255), internal_id varchar(255), name varchar(255), type varchar(255), primary key (id));
create table specificprojectprocess (dtype varchar(31) not null, id bigserial not null, created_at timestamp(6), description varchar(255), end_date date, external_id varchar(255), internal_id varchar(255), name varchar(255), start_date date, statetype varchar(255), successtype varchar(255), generalprojectprocess_id bigint, specificprojectprocess_id bigint, primary key (id));
create table team (id bigserial not null, created_at timestamp(6), description varchar(255), end_date date, external_id varchar(255), internal_id varchar(255), name varchar(255), start_date date, team_purpose varchar(255), teamtype varchar(255), organization_id bigint, project_id bigint, team_id bigint, primary key (id));
create table teammembership (id bigserial not null, created_at timestamp(6), description varchar(255), end_date date, external_id varchar(255), internal_id varchar(255), name varchar(255), start_date date, organizationalrole_id bigint, person_id bigint, team_id bigint, primary key (id));
alter table if exists activity add constraint UK_gen90k71mcqmbelphjfoj5p1h unique (external_id);
alter table if exists activity add constraint UK_fqiif0l8hs9v9n1f1cyjq0w93 unique (internal_id);
alter table if exists artifact add constraint UK_tmtntysmpe9agx311oo9wgd6w unique (external_id);
alter table if exists artifact add constraint UK_a7vjuwd556mt1jgmvkikrg97m unique (internal_id);
alter table if exists generalprojectprocess add constraint UK_t2f4mduk7xxo2m1e5s2ln8l6c unique (external_id);
alter table if exists generalprojectprocess add constraint UK_31euq0fg7a9ewyikftigdxng unique (internal_id);
alter table if exists organization add constraint UK_anbatb82bwhrx4gagnflykthh unique (external_id);
alter table if exists organization add constraint UK_qgifo82ujgdm3r4me4o483y98 unique (internal_id);
alter table if exists organizationalrole add constraint UK_r0nk0u1upsab7mjvokf771ty4 unique (external_id);
alter table if exists organizationalrole add constraint UK_2mxehhrgdtj97cu0b38wsn0a7 unique (internal_id);
alter table if exists person add constraint UK_b88nmexbm4eag0edh6hhphk4e unique (external_id);
alter table if exists person add constraint UK_1h69uaxo6kwmmr505sd7nhfbo unique (internal_id);
alter table if exists project add constraint UK_qntbmlr1dte2ma5naa0xd9lgf unique (external_id);
alter table if exists project add constraint UK_au5d5lh0qj4ajvb5gdc2iklmj unique (internal_id);
alter table if exists requirement add constraint UK_c52j0pofdfw8etmu6o161uwpv unique (external_id);
alter table if exists requirement add constraint UK_9rg9bj58uhdy4468rnwc3lh57 unique (internal_id);
alter table if exists specificprojectprocess add constraint UK_dl1mmy1wx5qui4uwy648rmd5a unique (external_id);
alter table if exists specificprojectprocess add constraint UK_ee5o4hvopd0t8g3pr0vvck2qh unique (internal_id);
alter table if exists team add constraint UK_5icvmflrxr0auwuycwo2bmtbb unique (external_id);
alter table if exists team add constraint UK_q21ea0163wdpsngogjvrdi35f unique (internal_id);
alter table if exists teammembership add constraint UK_3p28xbd0ftoo1qcrp089at106 unique (external_id);
alter table if exists teammembership add constraint UK_c14jbab4on1ny123qhxajt1ux unique (internal_id);
alter table if exists activity add constraint FK6oh9xxdf6bbq5xrbub7a2iebg foreign key (activity_id) references activity;
alter table if exists activity add constraint FKh2g4avehpcr1wpaw1wl3if72r foreign key (specificprojectprocess_id) references specificprojectprocess;
alter table if exists activity_artifact add constraint FKm6lgm7vk4gx2bq2t682f5au7m foreign key (artifact_id) references artifact;
alter table if exists activity_artifact add constraint FKr2t1bft22426ydaisg7qos1sx foreign key (activity_id) references activity;
alter table if exists adherenceevaluation_evaluationreport add constraint FKfbfvhfethrdkxtnxk9egpgapj foreign key (evaluationreport_id) references artifact;
alter table if exists adherenceevaluation_evaluationreport add constraint FK6808tosex7wyu0d6bmiae4efo foreign key (adherenceevaluation_id) references activity;
alter table if exists artifact add constraint FKq3o6g6t4j9b6ltk5xgrh3ns2s foreign key (artifact_id) references artifact;
alter table if exists artifact add constraint FKpundrhi5mqifgqwtrmtqjhl3x foreign key (evaluatedartifact_id) references artifact;
alter table if exists artifact add constraint FKrtak65pte9q7ceqp2xv24xp9t foreign key (evaluationreport_id) references artifact;
alter table if exists artifact add constraint FK691d68gcu49expt7nefevd8iq foreign key (qualityassuranceplanning_id) references activity;
alter table if exists artifact add constraint FKa5r2528ffoi5hhpdwc937sykd foreign key (requirement_id) references requirement;
alter table if exists artifact add constraint FK7ms79k8a0hn8hjipcf0pqfwcj foreign key (requirementdocument_id) references artifact;
alter table if exists evaluateditem_qualityassurancecriterion add constraint FK6svkpw3wpyp09bt3ktbpd3975 foreign key (qualityassurancecriterion_id) references requirement;
alter table if exists evaluateditem_qualityassurancecriterion add constraint FK39jbd85rkpl0yepjchk2413en foreign key (evaluateditem_id) references artifact;
alter table if exists generalprojectprocess add constraint FKr7kvuji078e9l1fo7ty4iu70p foreign key (generalprojectprocess_id) references generalprojectprocess;
alter table if exists generalprojectprocess add constraint FK1ltamn8bjxdhknf5vwf7rqtch foreign key (softwareproject_id) references project;
alter table if exists noncomplianceidentification_noncomplianceregister add constraint FKfmnd3wxcd7mkysbryupynnbcm foreign key (noncomplianceregister_id) references artifact;
alter table if exists noncomplianceidentification_noncomplianceregister add constraint FKs9c9cr6x9mhe6vlo19wquyiy9 foreign key (noncomplianceidentification_id) references activity;
alter table if exists project add constraint FK56l08pkdkr9onlugrsj27t6a3 foreign key (organization_id) references organization;
alter table if exists project add constraint FK8bibak77woh8739ssogpu62x4 foreign key (project_id) references project;
alter table if exists projectstakeholder_softwareproject add constraint FKqmhcno175t96hnr41q1mew2lm foreign key (softwareproject_id) references project;
alter table if exists projectstakeholder_softwareproject add constraint FKlnoty0i3693rdxqxluqkmhpf5 foreign key (projectstakeholder_id) references projectstakeholder;
alter table if exists qualityassuranceplan_qualityassurancecriterion add constraint FK6xg3caofjbblehxuddyfyk5t5 foreign key (qualityassurancecriterion_id) references requirement;
alter table if exists qualityassuranceplan_qualityassurancecriterion add constraint FKgr6y7pcdv8cbysreyrxry2vs4 foreign key (qualityassuranceplan_id) references artifact;
alter table if exists specificprojectprocess add constraint FK3el8abvfdvq1eyxxpkalq6n8f foreign key (generalprojectprocess_id) references generalprojectprocess;
alter table if exists specificprojectprocess add constraint FKh6g172vxkglmvshcaptnh538n foreign key (specificprojectprocess_id) references specificprojectprocess;
alter table if exists team add constraint FKt2rwhhxcjdmje0gqqybiyjdpn foreign key (organization_id) references organization;
alter table if exists team add constraint FKp6ovpc4soflfcjbafch33w2ky foreign key (project_id) references project;
alter table if exists team add constraint FK2br1drpqmglvo69ygcy2ex0qm foreign key (team_id) references team;
alter table if exists teammembership add constraint FK32hd3ylrcn09jp4eorylbk0i0 foreign key (organizationalrole_id) references organizationalrole;
alter table if exists teammembership add constraint FK7twk5vq5jggy5821vfsop01ka foreign key (person_id) references person;
alter table if exists teammembership add constraint FK143nbxei8pea2oxm87slwgsut foreign key (team_id) references team;
